Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.homol
Interface Homology

All Known Implementing Classes:
  SimpleHomology

    public interface Homology

Signifies that two or more features are homologous.

Blast hits or local multiple-sequence alignments can be represented as a set of features on sequences that have an alignment. The features will probably implement HomologyFeature.

Since:
  1.2
Author:
  Matthew Pocock, Keith James

Field Summary
`static ChangeType` | `ALIGNMENT` Signals that the alignment describing the homologous sequences has changed.

Method Summary
`Alignment` | `getAlignment()` Retrieve the Alignment that specifies how the homologous regions are aligned.
`FeatureHolder` | `getFeatures()` Retrieve the set of features that mark homologous regions.

Field Detail

### ALIGNMENT

    static final ChangeType ALIGNMENT

  Signals that the alignment describing the homologous sequences has changed. For implementations which implement `Changeable`.

Method Detail

### getFeatures

    FeatureHolder getFeatures()

  Retrieve the set of features that mark homologous regions.

  Returns:
    the FeatureHolder containing each homologous region

### getAlignment

    Alignment getAlignment()

  Retrieve the Alignment that specifies how the homologous regions are aligned. The labels of the alignment are the HomologyFeature objects.

  Returns:
    the Alignment between the HomologyFeatures

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD